GDB (xrefs)

Public Attributes | List of all members
property_addr_info Struct Reference

`#include "dwarf2loc.h"`

## Public Attributes
struct type * | type
const gdb_byte * | valaddr
CORE_ADDR | addr
struct property_addr_info * | next

## Detailed Description

Definition at line 113 of file dwarf2loc.h.

## Member Data Documentation

## ◆ addr

CORE_ADDR property_addr_info::addr

Definition at line 123 of file dwarf2loc.h.

Referenced by dwarf2_evaluate_property(), resolve_dynamic_struct(), resolve_dynamic_type(), and resolve_dynamic_type_internal().

## ◆ next

struct property_addr_info* property_addr_info::next

Definition at line 127 of file dwarf2loc.h.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), dwarf2_evaluate_property(), resolve_dynamic_struct(), and resolve_dynamic_type_internal().

## ◆ type

struct type* property_addr_info::type

Definition at line 117 of file dwarf2loc.h.

Referenced by resolve_dynamic_struct(), and resolve_dynamic_type_internal().

## ◆ valaddr

const gdb_byte* property_addr_info::valaddr

Definition at line 120 of file dwarf2loc.h.

Referenced by resolve_dynamic_struct(), resolve_dynamic_type(), and resolve_dynamic_type_internal().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2loc.h